apiVersion: yaook.cloud/v1
kind: KeystoneDeployment
metadata:
  name: keystone
spec:
  database:
    replicas: {{ keystone_database_replicas }}
    proxy: {}
    backup:
      schedule: "0 * * * *"
  memcached:
    memory: 1024
    connections: 2000
  api:
    ingress:
      fqdn: "keystone.ymc.{{ cluster_name }}"
      port: 32443
    replicas: {{ keystone_api_replicas }}
    wsgiProcesses: 10
  keystoneConfig:
    token:
      expiration: 86400
  policy:
    "admin_required": "role:admin or is_admin:1"
  region:
    name: MyRegion
  issuerRef:
    name: ca-issuer
  targetRelease: {{ keystone_targetRelease }} 
